<IMG  src="https://github.com/oititec/liveness-android-sdk/blob/main/Documentation/Images/OitiHeader.png?raw=true"  alt="OitiHeader.png"/>

# Oiti - Liveness 2D para React Native

Neste repositório, encontramos a **biblioteca NPM do Liveness 2D da Oiti**.

O NPM (Node Package Manager) é uma ferramenta para gerenciar pacotes no Node.js, a plataforma de execução para JavaScript. Com o NPM, você tem controle total sobre as dependências do seu projeto, permitindo acesso a um repositório de bibliotecas e frameworks JavaScript.

Aqui, você pode instalar e utilizar funções como `startLiveness2d()` e `startDocumentscopy()`, além de incorporar views como `<Liveness2dView />` e `<DocumentsCopyView />` em seus aplicativos híbridos desenvolvidos em React Native.

**Requisitos mínimos**
| Android | iOS|
|--|--|
|Gradle: 6.8 | iOS: 11|

## Summary

Simplificamos nossos guias de integração e de customização do React Native:

- [Guias de Instalação](https://devcenter.certiface.io/docs/guia-de-instalacao-react-native)
- [Guia de Uso e Integração](https://devcenter.certiface.io/docs/guia-de-uso-e-integracao-react-native)
- [Guia de Tratamento de Retorno](https://devcenter.certiface.io/docs/guia-de-tratamento-de-retornos-react-native)
- [Guias de Customização](https://devcenter.certiface.io/docs/customizacao-rn)

## Changelog

- As novidades das versões podem ser acessadas [neste link](https://www.npmjs.com/package/@oiti/rn-liveness2d?activeTab=versions).

## Flash tutorials

### Como executar o clone do repositório?

Execute o código abaixo em seu terminal para clonar o código:

```bash
git clone https://github.com/oititec/rn-liveness2d
```

### Como rodar o script?

Para rodar o script desse repositório você deve instalar as dependências do projeto, então na pasta root do projeto clonado rodar o comando.

**Yarn**

```bash
yarn
```

**Executar Projeto**

> Executar sempre em dispositivos físicos e não no simulador do iOS e Android

**Yarn**

```bash
yarn example android
```

```bash
yarn example ios
```

## Saiba mais

- Conhecer as **ferramentas de prevenção à fraude** e suas funcionalidades: [consulte este link](https://devcenter.certiface.io/docs/certiface-funcionalidades).

- Acessar quadro de **compatibilidade de sistemas e drivers**: [consulte este link](https://devcenter.certiface.io/docs/compatibilidade-dos-servicos).

- Entrar em contato com o **atendimento Oiti**: [consulte este link](https://devcenter.certiface.io/docs/portal-de-atendimento).

---
