"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DocCorePermissionButton = exports.DocCoreContinueButton = exports.DocCoreBackButton = void 0;
exports.DocumentsCopyView = DocumentsCopyView;
exports.FaceCaptchaPermissionButton = exports.FaceCaptchaContinueButton = exports.FaceCaptchaBackButton = void 0;
exports.GetIntructionView2d = GetIntructionView2d;
exports.GetIntructionViewDoc = GetIntructionViewDoc;
exports.Liveness2dView = Liveness2dView;
exports.startDocumentscopy = startDocumentscopy;
exports.startFaceCaptcha = startFaceCaptcha;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _InstructionsView = _interopRequireDefault(require("./screens/Documentscopy/InstructionsView"));
var _InstructionsView2 = _interopRequireDefault(require("./screens/Liveness2D/InstructionsView"));
var _PermissionView = _interopRequireDefault(require("./screens/PermissionView"));
var _DocCoreContext = require("./contexts/DocCoreContext");
var _FaceCaptchaContext = require("./contexts/FaceCaptchaContext");
var _DocCoreHelper = require("./helpers/DocCoreHelper");
var _FaceCaptchaHelper = require("./helpers/FaceCaptchaHelper");
var _continueButton = require("./utils/continueButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const LINKING_ERROR = `The package '@oiti/rn-liveness2d' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const OitiReactNative = _reactNative.NativeModules.OitiReactNative ? _reactNative.NativeModules.OitiReactNative : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function startFaceCaptcha(options) {
  let args = {
    appkey: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.appkey,
    ticket: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.ticket,
    environment: (options === null || options === void 0 ? void 0 : options.environment) === undefined ? 'HML' : options === null || options === void 0 ? void 0 : options.environment
  };
  if (_reactNative.Platform.OS === 'android') {
    return OitiReactNative.startfacecaptcha(args.appkey, args.environment);
  }
  return OitiReactNative.startfacecaptcha(args);
}
function startDocumentscopy(options) {
  const args = {
    appkey: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.appkey,
    ticket: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.ticket,
    environment: (options === null || options === void 0 ? void 0 : options.environment) === undefined ? 'HML' : options === null || options === void 0 ? void 0 : options.environment,
    nativeCustom: (options === null || options === void 0 ? void 0 : options.nativeCustom) === false ? false : options === null || options === void 0 ? void 0 : options.nativeCustom,
    theme: (options === null || options === void 0 ? void 0 : options.theme) === undefined ? null : options === null || options === void 0 ? void 0 : options.theme
  };
  if (_reactNative.Platform.OS === 'android') {
    return OitiReactNative.startdocumentscopy(args.appkey, args.ticket, args.theme, args.nativeCustom, args.environment);
  }
  return OitiReactNative.startdocumentscopy(args);
}
function GetIntructionView2d(_ref) {
  let {
    CustomInstructionView,
    CustomPermissionView
  } = _ref;
  const {
    screen,
    options,
    setScreen,
    startLiveness2d,
    onBack,
    onAskPermission
  } = (0, _FaceCaptchaContext.useFaceCaptchaContext)();
  function onContinue() {
    (0, _continueButton.continueButton)().then(result => {
      result === true && startLiveness2d();
      result === false && setScreen(2);
    });
  }
  (0, _react.useLayoutEffect)(() => {
    setTimeout(() => {
      (options === null || options === void 0 ? void 0 : options.nativeCustom) && startLiveness2d();
    }, 1);
  }, [options, startLiveness2d]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, screen === 1 && (!CustomInstructionView ? /*#__PURE__*/_react.default.createElement(_InstructionsView2.default, {
    onContinue: onContinue,
    onBack: onBack
  }) : CustomInstructionView), screen === 2 && (!CustomPermissionView ? /*#__PURE__*/_react.default.createElement(_PermissionView.default, {
    onVerify: () => onAskPermission(),
    onBack: onBack
  }) : CustomPermissionView));
}
function GetIntructionViewDoc(_ref2) {
  let {
    CustomInstructionView,
    CustomPermissionView
  } = _ref2;
  const {
    screen,
    options,
    setScreen,
    startDocCore,
    onBack,
    onAskPermission
  } = (0, _DocCoreContext.useDocCoreContext)();
  function onContinue() {
    (0, _continueButton.continueButton)().then(result => {
      result === true && startDocCore();
      result === false && setScreen(2);
    });
  }
  (0, _react.useLayoutEffect)(() => {
    setTimeout(() => {
      (options === null || options === void 0 ? void 0 : options.nativeCustom) && startDocCore();
    }, 1);
  }, [options, startDocCore]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, options !== null && options !== void 0 && options.nativeCustom ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, screen === 1 && (!CustomInstructionView ? /*#__PURE__*/_react.default.createElement(_InstructionsView.default, {
    onContinue: onContinue,
    onBack: onBack
  }) : CustomInstructionView), screen === 2 && (!CustomPermissionView ? /*#__PURE__*/_react.default.createElement(_PermissionView.default, {
    onVerify: () => onAskPermission(),
    onBack: onBack
  }) : CustomPermissionView)));
}
function Liveness2dView(_ref3) {
  let {
    CustomInstructionView,
    CustomPermissionView,
    options,
    navigation,
    callbackView,
    onSuccess,
    onError
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement(_FaceCaptchaContext.FaceCaptchaProvider, {
    onSuccess: onSuccess,
    onError: onError
  }, /*#__PURE__*/_react.default.createElement(_FaceCaptchaHelper.FaceCaptchaHelper, {
    options: options,
    navigation: navigation,
    callBackView: callbackView,
    onError: onError
  }, /*#__PURE__*/_react.default.createElement(GetIntructionView2d, {
    CustomInstructionView: CustomInstructionView,
    CustomPermissionView: CustomPermissionView
  })));
}
function DocumentsCopyView(_ref4) {
  let {
    CustomInstructionView,
    CustomPermissionView,
    options,
    navigation,
    callbackView,
    onSuccess,
    onError
  } = _ref4;
  return /*#__PURE__*/_react.default.createElement(_DocCoreContext.DocCoreProvider, {
    onSuccess: onSuccess,
    onError: onError
  }, /*#__PURE__*/_react.default.createElement(_DocCoreHelper.DocCoreHelper, {
    options: options,
    navigation: navigation,
    callBackView: callbackView,
    onError: onError
  }, /*#__PURE__*/_react.default.createElement(GetIntructionViewDoc, {
    CustomInstructionView: CustomInstructionView,
    CustomPermissionView: CustomPermissionView
  })));
}
const DocCoreContinueButton = _ref5 => {
  let {
    children,
    ...props
  } = _ref5;
  const touchableOpacityRef = (0, _react.useRef)(null);
  const {
    setScreen,
    startDocCore
  } = (0, _DocCoreContext.useDocCoreContext)();
  function onContinue() {
    (0, _continueButton.continueButton)().then(result => {
      result === true && startDocCore();
      result === false && setScreen(2);
    });
  }
  const handlePress = () => {
    onContinue();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
exports.DocCoreContinueButton = DocCoreContinueButton;
const DocCoreBackButton = _ref6 => {
  let {
    children,
    ...props
  } = _ref6;
  const touchableOpacityRef = (0, _react.useRef)(null);
  const {
    onBack
  } = (0, _DocCoreContext.useDocCoreContext)();
  const handlePress = () => {
    onBack();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
exports.DocCoreBackButton = DocCoreBackButton;
const DocCorePermissionButton = _ref7 => {
  let {
    children,
    ...props
  } = _ref7;
  const touchableOpacityRef = (0, _react.useRef)(null);
  const {
    onAskPermission
  } = (0, _DocCoreContext.useDocCoreContext)();
  const handlePress = () => {
    onAskPermission();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
exports.DocCorePermissionButton = DocCorePermissionButton;
const FaceCaptchaContinueButton = _ref8 => {
  let {
    children,
    ...props
  } = _ref8;
  const touchableOpacityRef = (0, _react.useRef)(null);
  const {
    setScreen,
    startLiveness2d
  } = (0, _FaceCaptchaContext.useFaceCaptchaContext)();
  function onContinue() {
    (0, _continueButton.continueButton)().then(result => {
      result === true && startLiveness2d();
      result === false && setScreen(2);
    });
  }
  const handlePress = () => {
    onContinue();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
exports.FaceCaptchaContinueButton = FaceCaptchaContinueButton;
const FaceCaptchaBackButton = _ref9 => {
  let {
    children,
    ...props
  } = _ref9;
  const touchableOpacityRef = (0, _react.useRef)(null);
  const {
    onBack
  } = (0, _FaceCaptchaContext.useFaceCaptchaContext)();
  const handlePress = () => {
    onBack();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
exports.FaceCaptchaBackButton = FaceCaptchaBackButton;
const FaceCaptchaPermissionButton = _ref10 => {
  let {
    children,
    ...props
  } = _ref10;
  const touchableOpacityRef = (0, _react.useRef)(null);
  const {
    onAskPermission
  } = (0, _FaceCaptchaContext.useFaceCaptchaContext)();
  const handlePress = () => {
    onAskPermission();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
exports.FaceCaptchaPermissionButton = FaceCaptchaPermissionButton;
//# sourceMappingURL=index.js.map