import React, { useEffect } from 'react';
import { useDocCoreContext } from '../contexts/DocCoreContext';
export const DocCoreHelper = _ref => {
  let {
    children,
    options,
    navigation,
    callBackView,
    onError
  } = _ref;
  const {
    setNavigation,
    setOptions,
    setCallbackView
  } = useDocCoreContext();
  useEffect(() => {
    if (options.appkey === null || options.appkey === undefined || options.appkey === '') {
      navigation.navigate(callBackView);
      onError({
        code: '0',
        message: 'invalidAppKey'
      });
    }
    setNavigation(navigation);
    setCallbackView(callBackView);
    setOptions(options);
  }, [options, navigation, callBackView, onError, setNavigation, setOptions, setCallbackView]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, children);
};
//# sourceMappingURL=DocCoreHelper.js.map