function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useLayoutEffect, useRef } from 'react';
import { NativeModules, Platform, TouchableOpacity } from 'react-native';
import InstructionsView from './screens/Documentscopy/InstructionsView';
import InstructionsView2D from './screens/Liveness2D/InstructionsView';
import PermissionView from './screens/PermissionView';
import { DocCoreProvider, useDocCoreContext } from './contexts/DocCoreContext';
import { FaceCaptchaProvider, useFaceCaptchaContext } from './contexts/FaceCaptchaContext';
import { DocCoreHelper } from './helpers/DocCoreHelper';
import { FaceCaptchaHelper } from './helpers/FaceCaptchaHelper';
import { continueButton } from './utils/continueButton';
const LINKING_ERROR = `The package '@oiti/rn-liveness2d' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const OitiReactNative = NativeModules.OitiReactNative ? NativeModules.OitiReactNative : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function startFaceCaptcha(options) {
  let args = {
    appkey: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.appkey,
    ticket: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.ticket,
    environment: (options === null || options === void 0 ? void 0 : options.environment) === undefined ? 'HML' : options === null || options === void 0 ? void 0 : options.environment
  };
  if (Platform.OS === 'android') {
    return OitiReactNative.startfacecaptcha(args.appkey, args.environment);
  }
  return OitiReactNative.startfacecaptcha(args);
}
export function startDocumentscopy(options) {
  const args = {
    appkey: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.appkey,
    ticket: (options === null || options === void 0 ? void 0 : options.appkey) === undefined ? '' : options === null || options === void 0 ? void 0 : options.ticket,
    environment: (options === null || options === void 0 ? void 0 : options.environment) === undefined ? 'HML' : options === null || options === void 0 ? void 0 : options.environment,
    nativeCustom: (options === null || options === void 0 ? void 0 : options.nativeCustom) === false ? false : options === null || options === void 0 ? void 0 : options.nativeCustom,
    theme: (options === null || options === void 0 ? void 0 : options.theme) === undefined ? null : options === null || options === void 0 ? void 0 : options.theme
  };
  if (Platform.OS === 'android') {
    return OitiReactNative.startdocumentscopy(args.appkey, args.ticket, args.theme, args.nativeCustom, args.environment);
  }
  return OitiReactNative.startdocumentscopy(args);
}
export function GetIntructionView2d(_ref) {
  let {
    CustomInstructionView,
    CustomPermissionView
  } = _ref;
  const {
    screen,
    options,
    setScreen,
    startLiveness2d,
    onBack,
    onAskPermission
  } = useFaceCaptchaContext();
  function onContinue() {
    continueButton().then(result => {
      result === true && startLiveness2d();
      result === false && setScreen(2);
    });
  }
  useLayoutEffect(() => {
    setTimeout(() => {
      (options === null || options === void 0 ? void 0 : options.nativeCustom) && startLiveness2d();
    }, 1);
  }, [options, startLiveness2d]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, screen === 1 && (!CustomInstructionView ? /*#__PURE__*/React.createElement(InstructionsView2D, {
    onContinue: onContinue,
    onBack: onBack
  }) : CustomInstructionView), screen === 2 && (!CustomPermissionView ? /*#__PURE__*/React.createElement(PermissionView, {
    onVerify: () => onAskPermission(),
    onBack: onBack
  }) : CustomPermissionView));
}
export function GetIntructionViewDoc(_ref2) {
  let {
    CustomInstructionView,
    CustomPermissionView
  } = _ref2;
  const {
    screen,
    options,
    setScreen,
    startDocCore,
    onBack,
    onAskPermission
  } = useDocCoreContext();
  function onContinue() {
    continueButton().then(result => {
      result === true && startDocCore();
      result === false && setScreen(2);
    });
  }
  useLayoutEffect(() => {
    setTimeout(() => {
      (options === null || options === void 0 ? void 0 : options.nativeCustom) && startDocCore();
    }, 1);
  }, [options, startDocCore]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, options !== null && options !== void 0 && options.nativeCustom ? /*#__PURE__*/React.createElement(React.Fragment, null) : /*#__PURE__*/React.createElement(React.Fragment, null, screen === 1 && (!CustomInstructionView ? /*#__PURE__*/React.createElement(InstructionsView, {
    onContinue: onContinue,
    onBack: onBack
  }) : CustomInstructionView), screen === 2 && (!CustomPermissionView ? /*#__PURE__*/React.createElement(PermissionView, {
    onVerify: () => onAskPermission(),
    onBack: onBack
  }) : CustomPermissionView)));
}
export function Liveness2dView(_ref3) {
  let {
    CustomInstructionView,
    CustomPermissionView,
    options,
    navigation,
    callbackView,
    onSuccess,
    onError
  } = _ref3;
  return /*#__PURE__*/React.createElement(FaceCaptchaProvider, {
    onSuccess: onSuccess,
    onError: onError
  }, /*#__PURE__*/React.createElement(FaceCaptchaHelper, {
    options: options,
    navigation: navigation,
    callBackView: callbackView,
    onError: onError
  }, /*#__PURE__*/React.createElement(GetIntructionView2d, {
    CustomInstructionView: CustomInstructionView,
    CustomPermissionView: CustomPermissionView
  })));
}
export function DocumentsCopyView(_ref4) {
  let {
    CustomInstructionView,
    CustomPermissionView,
    options,
    navigation,
    callbackView,
    onSuccess,
    onError
  } = _ref4;
  return /*#__PURE__*/React.createElement(DocCoreProvider, {
    onSuccess: onSuccess,
    onError: onError
  }, /*#__PURE__*/React.createElement(DocCoreHelper, {
    options: options,
    navigation: navigation,
    callBackView: callbackView,
    onError: onError
  }, /*#__PURE__*/React.createElement(GetIntructionViewDoc, {
    CustomInstructionView: CustomInstructionView,
    CustomPermissionView: CustomPermissionView
  })));
}
export const DocCoreContinueButton = _ref5 => {
  let {
    children,
    ...props
  } = _ref5;
  const touchableOpacityRef = useRef(null);
  const {
    setScreen,
    startDocCore
  } = useDocCoreContext();
  function onContinue() {
    continueButton().then(result => {
      result === true && startDocCore();
      result === false && setScreen(2);
    });
  }
  const handlePress = () => {
    onContinue();
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
export const DocCoreBackButton = _ref6 => {
  let {
    children,
    ...props
  } = _ref6;
  const touchableOpacityRef = useRef(null);
  const {
    onBack
  } = useDocCoreContext();
  const handlePress = () => {
    onBack();
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
export const DocCorePermissionButton = _ref7 => {
  let {
    children,
    ...props
  } = _ref7;
  const touchableOpacityRef = useRef(null);
  const {
    onAskPermission
  } = useDocCoreContext();
  const handlePress = () => {
    onAskPermission();
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
export const FaceCaptchaContinueButton = _ref8 => {
  let {
    children,
    ...props
  } = _ref8;
  const touchableOpacityRef = useRef(null);
  const {
    setScreen,
    startLiveness2d
  } = useFaceCaptchaContext();
  function onContinue() {
    continueButton().then(result => {
      result === true && startLiveness2d();
      result === false && setScreen(2);
    });
  }
  const handlePress = () => {
    onContinue();
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
export const FaceCaptchaBackButton = _ref9 => {
  let {
    children,
    ...props
  } = _ref9;
  const touchableOpacityRef = useRef(null);
  const {
    onBack
  } = useFaceCaptchaContext();
  const handlePress = () => {
    onBack();
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
export const FaceCaptchaPermissionButton = _ref10 => {
  let {
    children,
    ...props
  } = _ref10;
  const touchableOpacityRef = useRef(null);
  const {
    onAskPermission
  } = useFaceCaptchaContext();
  const handlePress = () => {
    onAskPermission();
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    ref: touchableOpacityRef,
    onPress: handlePress
  }, props), children);
};
//# sourceMappingURL=index.js.map