import React, { FC } from 'react';
import type { ArgsType, onErrorType } from 'src/@types/ArgsType';
import type { ResultDocType } from 'src/@types/DocCore/ResultTypes';
export declare const SCREEN: Readonly<{
    readonly INSTRUCTION_VIEW: 1;
    readonly PERMISSION_VIEW: 2;
}>;
interface DocCoreContextType {
    screen: number;
    setScreen: React.Dispatch<React.SetStateAction<number>>;
    navigation: any;
    setNavigation: React.Dispatch<React.SetStateAction<any>>;
    options: ArgsType | undefined;
    setOptions: React.Dispatch<React.SetStateAction<ArgsType | undefined>>;
    onDocCoreError: (error: onErrorType) => void;
    onDocCoreSuccess: (result: string) => void;
    onBack: () => any;
    startDocCore: () => any;
    onAskPermission: () => any;
    callbackView: string;
    setCallbackView: React.Dispatch<React.SetStateAction<string>>;
}
declare const DocCoreContext: React.Context<DocCoreContextType | undefined>;
export declare const DocCoreProvider: FC<ResultDocType>;
export declare const useDocCoreContext: () => DocCoreContextType;
export default DocCoreContext;
//# sourceMappingURL=DocCoreContext.d.ts.map