import React, { FC } from 'react';
import type { ArgsType, onErrorType } from 'src/@types/ArgsType';
import type { ResultType } from 'src/@types/FaceCaptcha/ResultTypes';
export declare const SCREEN: Readonly<{
    readonly INSTRUCTION_VIEW: 1;
    readonly PERMISSION_VIEW: 2;
}>;
interface FaceCaptchaContextType {
    screen: number;
    setScreen: React.Dispatch<React.SetStateAction<number>>;
    navigation: any;
    setNavigation: React.Dispatch<React.SetStateAction<any>>;
    options: ArgsType | undefined;
    setOptions: React.Dispatch<React.SetStateAction<ArgsType | undefined>>;
    onFaceCaptchaError: (error: onErrorType) => void;
    onFaceCaptchaSuccess: (result: string) => void;
    onBack: () => any;
    startLiveness2d: () => any;
    onAskPermission: () => any;
    callbackView: string;
    setCallbackView: React.Dispatch<React.SetStateAction<string>>;
}
declare const FaceCaptchaContext: React.Context<FaceCaptchaContextType | undefined>;
export declare const FaceCaptchaProvider: FC<ResultType>;
export declare const useFaceCaptchaContext: () => FaceCaptchaContextType;
export default FaceCaptchaContext;
//# sourceMappingURL=FaceCaptchaContext.d.ts.map